#include "main.h"

void
screen_off(void)
{
   // turn off backlight
   int fd;
   const char *string = "1\n";

//   putenv("DISPLAY=:0");
   // hack - force activate screensaver
//   system("xset s activate");
   fd = open("/sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/backlight/pcf50633-bl", O_RDWR);
   if (fd >= 0)
     {
	write(fd, string, sizeof(string));
	close(fd);
     }
}

void
screen_on(void)
{
   // turn backlight on
   int fd;
   const char *string = "0\n";

   fd = open("/sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/backlight/pcf50633-bl", O_RDWR);
   if (fd >= 0)
     {
	write(fd, string, sizeof(string));
	close(fd);
     }
   putenv("DISPLAY=:0");
   // hack - reset x screesanver
   system("xset s reset");
}

void
cpu_suspend(void)
{
   int manual_resume = 0;
   
   screen_off();
   system("apm -s");
   
   // we resumed - find out why
   manual_resume = 1;
   
   if (manual_resume)
     screen_on();
}

